import { SfCommand } from '@salesforce/sf-plugins-core';
import { AnyJson } from '@salesforce/ts-types';
export default class CustomLabelTranslations extends SfCommand<any> {
    static title: string;
    static description: string;
    static examples: string[];
    private outputDirPrefix;
    static flags: any;
    static requiresProject: boolean;
    /**
     * Extract custom label names from LWC JS files
     */
    private extractLabelsFromLwc;
    run(): Promise<AnyJson>;
    static promptCustomLabels(): Promise<any>;
    static promptLwcComponent(): Promise<any>;
    static promptExtractionMethod(): Promise<{
        type: any;
        values: any;
    }>;
}
